package com.pcloud.book.group.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author 戴兴
 * @description TODO
 * @date 2019/8/8 21:39
 */
public class StatisticsIncomeDto implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 4695716936925368521L;

    /**
     * 应用标识
     */
    private Long appId;
    /**
     * 书刊标识
     */
    private Long bookGroupId;
    /**
     * 应用名称
     */
    private String appName;
    /**
     * 浏览量
     */
    private Integer scanCounts;
    /**
     * 销售量
     */
    private Integer saleCounts;
    /**
     * 销售额
     */
    private BigDecimal saleMoney;
    /**
     * 收益额
     */
    private BigDecimal income;
    /**
     * 商品标识
     */
    private Long productId;
    /**
     * 商品名称
     */
    private String productName;

    /**
     * 收益时间
     */
    private String dateTime;

    /**
     * 子项
     */
    private List<StatisticsIncomeDto> itemList;

    public Long getAppId() {
        return appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public Integer getScanCounts() {
        return scanCounts;
    }

    public void setScanCounts(Integer scanCounts) {
        this.scanCounts = scanCounts;
    }

    public Integer getSaleCounts() {
        return saleCounts;
    }

    public void setSaleCounts(Integer saleCounts) {
        this.saleCounts = saleCounts;
    }

    public BigDecimal getSaleMoney() {
        return saleMoney;
    }

    public void setSaleMoney(BigDecimal saleMoney) {
        this.saleMoney = saleMoney;
    }

    public BigDecimal getIncome() {
        return income;
    }

    public void setIncome(BigDecimal income) {
        this.income = income;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getDateTime() {
        return dateTime;
    }

    public void setDateTime(String dateTime) {
        this.dateTime = dateTime;
    }

    public List<StatisticsIncomeDto> getItemList() {
        return itemList;
    }

    public void setItemList(List<StatisticsIncomeDto> itemList) {
        this.itemList = itemList;
    }

    @Override
    public String toString() {
        return "StatisticsIncomeDto{" +
                "appId=" + appId +
                ", bookGroupId=" + bookGroupId +
                ", appName='" + appName + '\'' +
                ", scanCounts=" + scanCounts +
                ", saleCounts=" + saleCounts +
                ", saleMoney=" + saleMoney +
                ", income=" + income +
                ", productId=" + productId +
                ", productName='" + productName + '\'' +
                ", dateTime='" + dateTime + '\'' +
                ", itemList=" + itemList +
                '}';
    }
}